org.springframework.web.socket.server.standard

## Class WebLogicRequestUpgradeStrategy

- java.lang.Object
- - org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy
  - - org.springframework.web.socket.server.standard.AbstractTyrusRequestUpgradeStrategy
    - - org.springframework.web.socket.server.standard.WebLogicRequestUpgradeStrategy

- All Implemented Interfaces:
    RequestUpgradeStrategy

      public class WebLogicRequestUpgradeStrategy
      extends AbstractTyrusRequestUpgradeStrategy

  A WebSocket `RequestUpgradeStrategy` for Oracle's WebLogic. Supports 12.1.3 as well as 12.2.1, as of Spring Framework 4.2.3.
  Since:
    4.1
  Author:
    Rossen Stoyanchev, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebLogicRequestUpgradeStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleSuccess(HttpServletRequest request, HttpServletResponse response, org.glassfish.tyrus.spi.WebSocketEngine.UpgradeInfo upgradeInfo, org.glassfish.tyrus.core.TyrusUpgradeResponse upgradeResponse)`

    - ### Methods inherited from class org.springframework.web.socket.server.standard.AbstractTyrusRequestUpgradeStrategy

      `getInstalledExtensions, getSupportedVersions, upgradeInternal`

    - ### Methods inherited from class org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy

      `getContainer, getHttpServletRequest, getHttpServletResponse, getSupportedExtensions, upgrade`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebLogicRequestUpgradeStrategy

          public WebLogicRequestUpgradeStrategy()

  - ### Method Detail

    - #### handleSuccess

          protected void handleSuccess(HttpServletRequest request,
                                       HttpServletResponse response,
                                       org.glassfish.tyrus.spi.WebSocketEngine.UpgradeInfo upgradeInfo,
                                       org.glassfish.tyrus.core.TyrusUpgradeResponse upgradeResponse)
                                throws IOException,
                                       ServletException

      Specified by:
        `handleSuccess` in class `AbstractTyrusRequestUpgradeStrategy`
      Throws:
        `IOException`
        `ServletException`